import request from '@/utils/request'

// 我的申请帮扶列表
export function getMyHelpApplyList(data) {
	return request({
		url: '/api/help/applylst',
		method: 'get',
		data
	})
}

// 获取帮扶列表
export function getHelpList(data) {
	return request({
		url: '/api/help/index',
		method: 'get',
		data
	})
}

// 获取帮扶分类
export function getHelpIfy(data) {
	return request({
		url: '/api/help/ify',
		method: 'get',
		data
	})
}

// 帮扶详情
export function getHelpDetail(data,id) {
	return request({
		url: '/api/help/view?id='+ id,
		method: 'get',
		data
	})
}

// 申请帮扶
export function userApply(data) {
	return request({
		url: '/api/help/userapply',
		method: 'post',
		data
	})
}

// 获取我帮扶的列表
export function userapplylst(data) {
	return request({
		url: '/api/help/userapplylst',
		method: 'get',
		data
	})
}

// 申请帮扶
export function apply(data) {
	return request({
		url: '/api/help/apply',
		method: 'post',
		data
	})
}